[rspec-users] `rake spec` with rails 3.0.3 and rspec-rails 2.4.1

Michael Guterl mguterl at gmail.com
Thu Jan 13 17:17:25 EST 2011


On Thu, Jan 13, 2011 at 4:40 PM, David Chelimsky <dchelimsky at gmail.com> wrote:
>
> On Jan 13, 2011, at 3:17 PM, Michael Guterl wrote:
>
>> We're upgrading a rails 2.3.x application to Rails 3.  When running
>> `rake spec` no specs are running.
>>
>> $ rake spec --trace
>> (in /Users/michaelguterl/code/rm/board)
>> ** Invoke spec (first_time, not_needed)
>>
>> $ gem list | grep rspec
>> rspec (2.4.0)
>> rspec-core (2.4.0)
>> rspec-expectations (2.4.0)
>> rspec-mocks (2.4.0)
>> rspec-rails (2.4.1)
>>
>> $ rails -v
>> Rails 3.0.3
>>
>> lib/tasks/rspec.rake is now gone because as I understand it rake tasks
>> can be loaded through railtie integration in rails 3, which I believe
>> rspec takes advantage of.
>>
>> Any pointers would be appreciated.
>
> Did you include rspec-rails in the :development group?
>
> http://relishapp.com/rspec/rspec-rails

Thanks David, despite pouring over that doc and the upgrade doc many
times, I just kept missing it.


More information about the rspec-users mailing list